Summary: Gnome Spell is GNOME/Bonobo component for spell checking
Name: gnome-spell
Version: 1.0.7
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	aspell-devel >= 0.50.3
BuildRequires:  libgnomeui2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	perl-XML-Parser
Requires: aspell >= 0.50.2

%description
Gnome Spell is GNOME/Bonobo component for spell checking. In current
version it contains GNOME::Spell::Dictionary object, which provides spell
checking dictionary (see Spell.idl for exact API definition). It's based
on aspell package.

%prep
%setup -q

%build

%configure2_5x
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-spell/*.{a,la}

%{find_lang} %{name}-%{version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_libdir}/gnome-spell
%{_libdir}/bonobo/servers/*
%{_datadir}/idl/*
%{_datadir}/gnome-spell-%{version}
%{_datadir}/control-center-2.0/icons/*

%changelog
* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 1.0.7-1mdk
- New release 1.0.7
- use mkrel

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.0.6-3mdk
- Rebuild

* Fri Jan 28 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.6-2mdk
- add BuildRequires: perl-XML-Parser

* Tue Jan 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- New release 1.0.6
- Remove patch0 (merged upstream)

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-3mdk
- Patch0 : fix build with gtk 2.4

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-2mdk
- Fix BuildRequires

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.5-1mdk
- Release 1.0.5

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.4-2mdk
- Rebuild with latest ORBit2

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.4-1mdk
- Release 1.0.4

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.3-1mdk
- Release 1.0.3

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.2-1mdk
- Release 1.0.2 (GNOME2)

* Mon Nov 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- Recompiled against aspell 0.50.3

* Thu Nov  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-1mdk
- Release 0.5
- Remove patch0 (no longer needed)
- Fix build to work with aspell 0.50

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-4mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-3mdk
- Automated rebuild with gcc3.2

* Thu May 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.4.1-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Feb 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1

* Wed Jan 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-5mdk
- Rebuilt against latest libgal (grr, really remove old dependency)

* Wed Jan 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.4-4mdk
- BuildRequires

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- Recompiled against latest gal

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Recompiled against latest gal
- Fix BuildRequires

* Tue Nov  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4
- Remove patches 0 & 1 (merged upstream)
- Patch0: fix crash when english dictionnary is not installed

* Fri Sep 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-8mdk
- BuildRequires: libxml-devel
- Remove redundant BuildRequires

* Mon Sep 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-7mdk
- Patch1: fix compilation (link with gnomeui)

* Thu Aug 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-6mdk
- Add explicit dependency on aspell too (since pspell is only a wrapper)

* Sun Jul 29 2001 Stefan van der Eijk <stefan@eijk.nu> 0.1-5mdk
- modify BuildRequires
- fix description

* Fri May 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1-4mdk
- Rebuild it with the latest and shiniest ever libltdl.so.3.
- s/Copyright/License/;

* Mon May 21 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.1-3mdk
- rebuild with new libpspell

* Wed Jan 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-2mdk
- Recompiled with oaf 0.6.2

* Tue Jan  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1-1mdk
- First Mandrake package

# end of file
